=== debian/changelog ===
sbcl (2:1.1.1.0-2) experimental; urgency=low

  * Fix features for non-arch-all builds (Closes: #693682)

 -- Christoph Egger <christoph@debian.org>  Wed, 28 Nov 2012 18:53:38 -0800

sbcl (2:1.1.1.0-1) experimental; urgency=low

  * New upstream release
  * changes in sbcl-1.1.1 relative to sbcl-1.1.0:
    * enhancement: WITH-COMPILATION-UNIT no longer grabs the world-lock.
      (COMPILE and COMPILE-FILE still do.)
    * optimization: the SPARC backend now supports the precise generational
      (GENCGC) garbage collection.  Enabled by default on Solaris/SPARC and
      Linux/SPARC.  Thanks to Raymond Toy (via CMUCL).
    * enhancement: add experimental support for the SB-THREAD feature and the
      timer facility on Windows.  Thanks to Dmitry Kalyanov and Anton Kovalenko.
      Threads are enabled by default, and this version of SBCL is considered
      to be the last and final release to officially support building with
      threads disabled.
    * optimization: The compiler no longer rotates loops in some cases where
      this transformation actually lead to worse code being generated.
    * bug fix: SB-CLTL2:MACROEXPAND-ALL correctly handles shadowing of
      symbol-macros by lexical bindings.
    * bug fix: stack allocation was prevented by high DEBUG declaration in
      several cases.
    * bug fix: SB-EXT:GC-LOGFILE signaled an error when no logfile was set.
      (thanks to SANO Masatoshi)
    * bug fix: PARSE-NATIVE-NAMESTRING performed non-native parsing when
      :JUNK-ALLOWED was true.
    * bug fix: type derivation inferred overly conservative types for
      unions of array types. (lp#1050768)
  * changes in sbcl-1.1.0 relative to sbcl-1.0.58:
    * enhancement: New variable, sb-ext:*disassemble-annotate* for controlling
      source annotation of DISASSEMBLE output. Defaults to T.
    * enhancement: TIMEOUT arguments added to WITH-MUTEX and
      WITH-RECURSIVE-LOCK, and WAIT-P argument added to WITH-RECURSIVE-LOCK.
    * enhancement: SB-EXT:ATOMIC-PUSH and SB-EXT:ATOMIC-POP allow atomic
      operations on list heads.
    * enhancement: Optional features (not enabled by default) allow the
      use of signals for inter-thread synchronization to be reduced on certain
      supported platforms (currently Linux, Solaris, and FreeBSD on x86 and
      x86-64).  Set (and :sb-thread :sb-safepoint :sb-thruption :sb-wtimer)
      to test these experimental features.  Known remaining bugs include minor
      thread safety issues, less timely freeing of memory by GC, and certain
      (not yet optimally low) runtime overhead.  Thanks to Anton Kovalenko.
    * optimization: CL:SORT and CL:STABLE-SORT of lists are faster and use fewer
      comparisons, particularly on almost-sorted inputs.
    * bug fix: Reading floats with large exponents no longer takes too much time
      before reporting that the exponent is too large.
    * bug fix: SB-BSD-SOCKETS:SOCKET-RECEIVE with a UDP socket now works
      correctly when the received datagram is larger than the provided buffer.
      (lp#1023438, thanks to Robert Uhl)
    * bug fix: SB-EXT:GET-CAS-EXPANSION returned a bogus read-form when given
      a SYMBOL-VALUE form with a constant symbol argument.
    * bug fix: SB-EXT:GET-CAS-EXPANSION signaled an error when a macro expanding
      into a DEFCAS defined place was used as the place.
    * bug fix: FIND and POSITION signaled a type-error when non-bits where
      looked for from bit-vectors.
    * bug fix: a race condition around thread creation could (in SBCL 1.0.57)
      lead to internal errors or crashes (lp#1058799).
    * documentation: a section on random number generation has been added to the
      manual. (lp#656839)

 -- Christoph Egger <christoph@debian.org>  Fri, 16 Nov 2012 19:10:02 -0800

sbcl (2:1.0.58.0-1) experimental; urgency=low

  * changes in sbcl-1.0.58 relative to sbcl-1.0.57:
    * enhancement: implicit generic function warnings now specify the package
      in which the new generic function is being created.
    * enhancement: SB-EXT:ATOMIC-UPDATE makes it easy to perform non-destructive
      updates of CAS-able places (similar to Clojure's swap!).
    * enhancement: run-program no longer decodes and re-encodes environment when
      :environment argument is not provided. (lp#985904)
    * enhancement: errors during compiler-macro expansion no longer cause
      runtime errors, only a compile-time warning, otherwise behaving as if
      the compiler macro had declined to expand.
    * optimization: On x86-64, code alignment of block headers is done with
      multi-byte NOPs now instead of repetitions of the single-byte NOP.
    * optimization: MAP-INTO is substantially faster when the target sequence is
      of unknown type; mapping into lists is no longer O(N^2). (thanks to James
      M. Lawrence)
    * optimization: the compiler no longer heap-conses to check exits in cases
      where the exit function is dynamic extent, or when it can prove the exit
      function cannot escape.
    * optimization: SB-SEQUENCE:DOSEQUENCE is faster on vectors of unknown
      element type, and vectors that aren't SIMPLE-ARRAYs.
    * optimization: CL:SORT and CL:STABLE-SORT are more efficient in execution
      speed (around 1/3 the time in some cases), and a little better in terms of
      comparison calls. (Thanks to Takeru Ohta)
    * bug fix: On SPARC, a limitation on the number of code constants emittable
      by the compiler has been lifted, allowing certain long functions to
      compiled and assembled which had previously been unsupported; fixes
      cl-bench on this ISA (lp#1008996).
    * bug fix: potential for infinite recursion during compilation of CLOS slot
      typechecks when dependency graph had loops. (lp#1001799)
    * bug fix: error forms reported with some program-errors were not escaped
      properly.
    * bug fix: functions from EVAL are now on more equal footing with functions
      from COMPILE. (lp#1000783, lp#851170, lp#922408)

