=== doc/manual/Makefile ===
--- 
+++ 
@@ -12,14 +12,15 @@
 # DOCSTRINGDIR has to end with a slash or you lose (it's passed to
 # Lisp's `pathname' function).
 DOCSTRINGDIR="docstrings/"
-CONTRIBDIR="../../contrib/"
-I_FLAGS=-I $(DOCSTRINGDIR) -I $(CONTRIBDIR)
+CONTRIB_SRC_DIR="../../contrib/"
+CONTRIB_OBJ_DIR="../../obj/asdf-cache/"
+I_FLAGS=-I $(DOCSTRINGDIR) -I $(CONTRIB_SRC_DIR)
 # List of contrib modules that docstring docs will be created for.
 MODULES=':sb-md5 :sb-queue :sb-concurrency :sb-rotate-byte :sb-grovel \
          :sb-sprof :sb-bsd-sockets :sb-cover :sb-posix'
 # List of package names that docstring docs will be created for.
 PACKAGES=":COMMON-LISP :SB-ALIEN :SB-DEBUG :SB-EXT :SB-GRAY :SB-MOP \
-	  :SB-PCL :SB-SYS \
+          :SB-PCL :SB-SYS :SB-SEQUENCE \
           :SB-PROFILE :SB-THREAD :SB-MD5 :SB-QUEUE :SB-ROTATE-BYTE  \
           :SB-SPROF :SB-BSD-SOCKETS :SB-COVER :SB-POSIX :SB-CONCURRENCY"
 
@@ -93,11 +94,11 @@
 # Texinfo docstring snippets
 # Note: assumes contrib module names are the same as the names of
 # directories containing the modules, and that these directories
-# are in $(CONTRIBDIR).
-CONTRIB_FASLS=$(shell find $(shell echo $(MODULES) | sed "s|:|$(CONTRIBDIR)|g") -name '*.fasl')
+# are in $(CONTRIB_OBJ_DIR).
+CONTRIB_FASLS=$(shell find $(shell echo $(MODULES) | sed "s|:|$(CONTRIB_OBJ_DIR)|g") -name '*.fasl')
 docstrings: $(CONTRIB_FASLS) tempfiles-stamp
 	for module in $(shell echo $(MODULES)); do \
-		test -f $(CONTRIBDIR)/`echo $$module | tr -d :`/test-passed \
+		test -f $(CONTRIB_OBJ_DIR)/`echo $$module | tr -d :`/test-passed.test-report \
 		|| { echo "The documented contrib $$module seems \
                            to have failed its tests." && exit 1; } \
 	done
@@ -110,7 +111,7 @@
 	touch tempfiles-stamp
 
 .PHONY: clean
-clean: 
+clean:
 	rm -f *~ *.bak *.orig \#*\# .\#* texput.log *.fasl
 	rm -rf $(HTMLDIRS) $(DOCSTRINGDIR)
 	rm -f  $(HTMLFILES)
