=== debian/control ===
--- 
+++ 
@@ -7,6 +7,7 @@
 Build-Depends: dh-lisp,
  debhelper (>> 7.0.0),
  sbcl (>> 1:0.9.5.50-9),
+ sbcl-source,
  texinfo,
  zlib1g-dev,
  texlive-extra-utils,
