=== debian/rules ===
--- 
+++ 
@@ -96,6 +96,10 @@
 
 #   start running tests
 	-GNUMAKE=make sh -c 'cd tests && sh ./run-tests.sh' || printf "the tests failed\n"
+
+	src/runtime/sbcl --core output/sbcl.core --eval '(sb-ext:set-sbcl-source-location "/usr/share/sbcl-source/")' \
+	                 --eval '(sb-ext:save-lisp-and-die "output/sbcl.core")'
+
 #   see what the result is
 	touch build-arch-stamp
