## sbcl 1.2.3

=== debian/changelog ===
sbcl (2:1.2.3-1ubuntu1) utopic; urgency=medium

  * Don't leave stage1 unreadable, fixing FTBFS with pkgstriptranslations.

 -- Adam Conrad <adconrad@ubuntu.com>  Thu, 18 Sep 2014 20:27:57 -0600

sbcl (2:1.2.3-1) unstable; urgency=medium

  * New upstream version
   * enhancement: DOCUMENTATION works on instances of
     FUNCALLABLE-STANDARD-CLASS
   * enhancement: ASSERT reports arguments of calls to lexical functions in
     additional to global functions.
   * enhancement: ASDF updated to 3.1.3
   * enhancement: UIOP can be loaded without ASDF.
   * bug fix: some methods on CHANGE-CLASS did not finalize the new class
     before accessing its class-precedence list.
   * bug fix: CHANGE-CLASS no longer fails on unbound slots in the source
     object.
   * bug fix: CHANGE-CLASS signals an appropriate error when the destination
     class is a FORWARD-REFERENCED-CLASS.
   * bug fix: CHANGE-CLASS no longer signals bogus TYPE-ERRORs for slots for
     which initargs have been supplied.
   * bug fix: saving cores on ARM was broken since the introduction of GENCGC.
     (lp#1349795)
   * bug fix: macroexpanding a backquoted expression involving ",."
     outside of the compiler failed. (lp#1354623)

 -- Christoph Egger <christoph@debian.org>  Fri, 29 Aug 2014 11:38:19 -0700

sbcl (2:1.2.2-1) unstable; urgency=medium

  * New upstream version
      * incompatible change: the #\` ("backquote") reader macro was reimplemented
        to support robust pretty-printing. Reading a form involving #\` produces
        an invocation of the QUASIQUOTE ordinary macro which may contain subforms
        that are not lists. Code that unportably attempts operations on
        un-evaluated forms resulting therefrom, e.g.
          (SUBST a b (read-from-string "`(x (,y))"))
        might generate incorrect results and/or errors.
      * enhancement: support for GNU/kFreeBSD x86.
      * enhancement: ATOMIC-INCF and ATOMIC-DECF can operate on (CAR x), (CDR x)
        and DEFGLOBAL variables of type fixnum.
      * enhancement: arithmetic constant reduction is now performed on defconstant
        constants too. (lp#1337069).
      * bug fix: certain ftype proclamations containing &optional t &rest t no
        longer cause subsequent definitions to signal bogus style-warnings.
      * bug fix: #\Bell and #\Bel now read to different characters. (lp#1319452).
      * bug fix: CAS SYMBOL-VALUE on locally special variables didn't work.
        (lp#1098355)
  * Add patch for newer graphviz (Closes: #755331)
  
 -- Christoph Egger <christoph@debian.org>  Fri, 15 Aug 2014 17:24:32 +0200
  

sbcl (2:1.2.1-1) UNRELEASED; urgency=medium
  
  * New upstream version
    changes in sbcl-1.2.1 relative to sbcl-1.2.0:
    * enhancement: GENCGC is enabled on ARM.
    * enhancement: better error reporting for invalid calls to local functions.
    * enhancement: support for GNU/kFreeBSD distributions.  (lp#1079954, thanks
      to Christoph Egger)
    * enhancement: experimental support for threads on NetBSD/x86-64.  (thanks
      to Robert Swindells)
    * enhancement: support for DragonFly BSD.  (lp#1292845, thanks to Vasily
      Postnicov)
    * bug fix: TYPE-OF must not return AND/OR/NOT expressions.
      (lp#1317308)
    * bug fix: accessing NIL arrays stopped producing errors. (lp#1311421)
    * bug fix: DISASSEMBLE no longer prints unwanted stuff. (lp#1251861)
    * bug fix: compiling SVREF on unknown types no longer produces scary errors.
      (lp#1258716)
    * bug fix: assorted LOOP fixes and enhancements. (lp#645534, lp#1322923,
      lp#700538, lp#613876, lp#695286, lp#798388)
    * bug fix: silence compiler notes from the SEARCH transform. (lp#1071310)
    * bug fix: array type intersection handles T and unknown element types
      correctly. (lp#1258716)
    * bug fix: fix a corner case in array type unparsing that would result in
      misleading translations from our internal type representation.
    * bug fix: array-rank now sees through union and intersection types.
      (lp#1310574)
    * bug fix: when DECLARE expressions are in the wrong place, be careful not
      to attempt to evaluate the subforms.  (lp#573747; thanks to Roman
      Marynchak)
    * bug fix: misplaced and missing declarations in DEFTRANSFORM. (lp#1066451)
    * bug fix: FBOUNDP returned NIL for a class of incorrect function names
      instead of signaling an error. (lp#1095483)
    * bug fix: fix a compile-time AVER in regalloc: lifetime analysis
      used to (rarely) introduce duplicate conflict markers in a single
      TN/block pair. (lp#1327008)
  * Remove armel again as sbcl only supports armv5+
  * 

 -- Christoph Egger <christoph@debian.org>  Fri, 15 Aug 2014 17:24:32 +0200

sbcl (2:1.2.0-1) unstable; urgency=medium

  * New upstream release
      changes in sbcl-1.2.0 relative to sbcl-1.1.18:
      * bug fix: read-time-eval backquote context mixup. (lp#1321047)
      * enhancement: when SAVE-LISP-AND-DIE fails due multiple threads, the
        report of the signaled conditions lists currently running threads.
      * enhancement: ported to ARM linux.
      * enhancement: sb-gmp contrib has been updated. (lp#1305266)
      * enhancement: new contrib sb-mpfr by Stephan Frank.
      * bug fix: MAKE-SEQUENCE works with sequence types defined via DEFTYPE
        (lp#1315846, thanks to Mark Cox)
      * bug fix: SET-[DISPATCH-]MACRO-CHARACTER should coerce a symbolic
        function-designator to a function only as needed. (lp#1012335)
      * bug fix: remove references to asdf-install from the manual.  (lp#1207544,
        thanks to Thomas Hlavaty)
      * bug fix: handle --without-xxx options to make.sh more carefully.
        (lp#1246665, thanks to Richard M Kreuter)
      * bug fix: prevent maybe-delete-exit from doing semantically broken things
        with local exits. (lp#309099, lp#518099, lp#533930)
      * bug fix: attempts to subclass BUILT-IN-CLASSes signal errors, as required
        by AMOP.  (lp#861004)


