=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: lisp
 Priority: optional
 Homepage: http://www.sbcl.org
-Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
 Uploaders: Peter Van Eynde <pvaneynd@debian.org>, Christoph Egger <christoph@debian.org>
 Build-Depends: dh-lisp,
  debhelper (>> 7.0.0),
@@ -17,6 +18,7 @@
  ghostscript,
  texlive-generic-recommended,
  texlive-font-utils,
+ cm-super-minimal,
  time,
  netbase
 Standards-Version: 3.9.2
@@ -24,7 +26,7 @@
 Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/sbcl.git;a=summary
 
 Package: sbcl
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 powerpc
+Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 powerpc armhf
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: cl-clx-sbcl (<= 0.7.0-1),
  common-lisp-controller (<< 6.18),
