=== debian/changelog ===
sbcl (2:1.2.4-2) unstable; urgency=medium

  * Add upstream patchy to fix sb-concurrency on powerpc

 -- Christoph Egger <christoph@debian.org>  Mon, 20 Oct 2014 23:29:42 +0200

sbcl (2:1.2.4-1) unstable; urgency=medium

  * Update to 1.2.4 upstream version
    * enhancement: the sequence functions MAP, CONCATENATE and MERGE now call
      the new generic functions SEQUENCE:MAP, SEQUENCE:CONCATENATE and
      SEQUENCE:MERGE respectively when the specified result type designates an
      extended sequence.
    * bug fix: Wrong binding order of supplied-p parameters in macro lambda
      lists.  (lp#721135)
    * bug fix: VALIDATE-SUPERCLASS returns T when the superclass is the
      universal superclass (lp#1332983)
    * bug fix: reading an uninterned symbol whose print name has the
      syntax of an integer signals an error. (lp#310062)
    * bug fix: the walker is less likely to be confused when walking LET* forms
      with special bindings and use of those bindings and others of the same
      name.
    * bug fix: a rare bug affecting 32-bit platforms resulting in a
      fatal condition with the message "Globaldb rehash failure" has been fixed.

 -- Christoph Egger <christoph@debian.org>  Mon, 06 Oct 2014 20:23:00 +0200
