=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: lisp
 Priority: optional
 Homepage: http://www.sbcl.org
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
-Uploaders: Peter Van Eynde <pvaneynd@debian.org>, Christoph Egger <christoph@debian.org>
+Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
+Uploaders:
+ Peter Van Eynde <pvaneynd@debian.org>,
+ Christoph Egger <christoph@debian.org>
 Build-Depends: dh-lisp,
  debhelper (>> 7.0.0),
  sbcl (>> 1:0.9.5.50-9),
@@ -26,7 +27,7 @@
 Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/sbcl.git;a=summary
 
 Package: sbcl
-Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 powerpc armhf
+Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 powerpc armhf armel
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: cl-clx-sbcl (<= 0.7.0-1),
  common-lisp-controller (<< 6.18),
