=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,10 @@
 #!/usr/bin/make -f
-
 
 LOCALE_PATH=debian/tmpdir/usr/lib/locale
 LOCALE_NAME=en_US
 LOCALE_CHARSET=UTF-8
-HOME = $(shell pwd)
+HOME=$(CURDIR)
 export HOME
-
-export SHELL=/bin/bash
 export DH_VERBOSE=1
 
 # This has to be exported to make some magic below work.
@@ -24,35 +21,21 @@
 SOURCE_TARGET=debian/sbcl-source
 DOC_TARGET=debian/sbcl-doc
 DESTDIR=$(CURDIR)/debian/tmp/usr
+FEATURES=--fancy
 
 ARCH=$(shell dpkg-architecture -qDEB_BUILD_ARCH)
 
-FEATURES=":sb-core-compression"
-
-ifeq (,$(BOOTSTRAPHOME))
-	BOOTSTRAPHOME=/usr
-endif
-
-HOST_SBCL=$(BOOTSTRAPHOME)/bin/sbcl
-HOST_CORE=$(BOOTSTRAPHOME)/lib/sbcl/sbcl.core
-
-
-ifneq (,$(filter x86 amd64,$(sbcl_arch)))
-	FEATURES += " :sb-thread :sb-futex"
+ifeq (,$(BOOTSTRAPLISP))
+	BOOTSTRAPLISP=/usr/bin/sbcl --disable-debugger --no-sysinit --no-userinit
 endif
 
 ifneq (,$(filter kfreebsd-%,$(sbcl_arch)))
-	FEATURES += " :os-provides-dlopen"
+	FEATURES += --with-os-provides-dlopen --with-sb-pthread-futex
 endif
 
 configure: configure-stamp
 configure-stamp:
-	echo "(lambda (features) (setf features (union features (list $(FEATURES)))))" > customize-target-features.lisp
-
-	cat customize-target-features.lisp
-
 	dh_testdir
-
 	touch configure-stamp
 
 build: configure-stamp build-arch build-indep
@@ -66,31 +49,21 @@
 	export LC_ALL=${LOCALE_NAME}.${LOCALE_CHARSET}
 	export LANG=en_US.UTF-8
 	export LOCPATH=${LOCALE_PATH} 
-#   Using the locale
 
 	+echo environment:
 	env
 	+echo
 
 #   make scripts runable
-	chmod a+x ./src/runtime/linux-nm ./make.sh ./clean.sh ./tools-for-build/canonicalize-whitespace
+	chmod a+x ./src/runtime/linux-nm ./make.sh ./install.sh ./clean.sh ./tools-for-build/canonicalize-whitespace
 	chmod a+x ./tools-for-build/whitespacely-canonical-filenames ./tools-for-build/grep-noncanonical-whitespace  
 	chmod a+x ./tools-for-build/check-canonical-whitespace ./tools-for-build/canonicalize-whitespace-1
-	echo "using sbcl to rebuild with core /usr/lib/sbcl/sbcl-dist.core, checking"
-	ls -l $(HOST_SBCL) $(HOST_CORE)
-	CFLAGS="-DSBCL_HOME=`pwd`/stage1/ -O2" GNUMAKE=make ./make.sh "$(HOST_SBCL) --core $(HOST_CORE)  --sysinit /dev/null --userinit /dev/null --disable-debugger"
-	mkdir stage1
-	mv output/sbcl.core stage1/stage1.cor_
-	mv src/runtime/sbcl stage1/stage1
-#   save stage1
-	tar cvf stage1.tar stage1/
-	rm -rf stage1 || true
-	sh clean.sh || true
-#   restore stage1
-	tar xvf stage1.tar
-	rm stage1.tar
-	echo "rebuild again with new version"
-	CFLAGS="-DSBCL_HOME=/usr/lib/sbcl/ -O2" GNUMAKE=make ./make.sh --prefix="/usr/" --xc-host="`pwd`/stage1/stage1 --core `pwd`/stage1/stage1.cor_ --sysinit /dev/null --userinit /dev/null --disable-debugger"
+
+	./make.sh --xc-host="$(BOOTSTRAPLISP)" --prefix=$(CURDIR)/stage1 $(FEATURES)
+	./install.sh
+	chmod 100 stage1
+	./clean.sh
+	./make.sh --prefix="/usr/" --xc-host="$(CURDIR)/stage1/bin/sbcl --no-sysinit --no-userinit --disable-debugger" $(FEATURES)
 
 	make -C doc/internals all html
 
@@ -100,7 +73,6 @@
 	src/runtime/sbcl --core output/sbcl.core --eval '(sb-ext:set-sbcl-source-location "/usr/share/sbcl-source/")' \
 	                 --eval '(sb-ext:save-lisp-and-die "output/sbcl.core")'
 
-#   see what the result is
 	touch build-arch-stamp
 
 build-indep: build-indep-stamp
@@ -114,6 +86,7 @@
 	dh_testroot
 
 	rm -rf target || true
+	-chmod 700 stage1
 	rm -rf stage1 || true
 	rm -rf debian/tmpdir || true
 	rm -rf .fontconfig || true
@@ -176,8 +149,8 @@
 	dh_lintian -i
 	dh_compress -i -X *.html
 	dh_fixperms -i
-	find $(TARGET) $(SOURCE_TARGET) $(DOC_TARGET) -name .cvsignore -print0 | xargs -t0 rm -rf || true
-	find $(TARGET) $(SOURCE_TARGET) $(DOC_TARGET) -name CVS -print0 | xargs -t0 rm -rf || true
+#	find $(TARGET) $(SOURCE_TARGET) $(DOC_TARGET) -name .cvsignore -print0 | xargs -t0 rm -rf || true
+#	find $(TARGET) $(SOURCE_TARGET) $(DOC_TARGET) -name CVS -print0 | xargs -t0 rm -rf || true
 	dh_installdeb -i
 	dh_gencontrol -i
 	dh_md5sums -i
@@ -190,7 +163,7 @@
 	dh_installchangelogs -a
 	dh_installdocs -a
 	dh_installexamples -a
-	find $(TARGET) $(SOURCE_TARGET) $(DOC_TARGET) -name CVS -or -name .cvsignore -print0 | xargs -t0 rm -rf || true
+#	find $(TARGET) $(SOURCE_TARGET) $(DOC_TARGET) -name CVS -or -name .cvsignore -print0 | xargs -t0 rm -rf || true
 	dh_installman -a
 	dh_strip -a
 	dh_link -a
@@ -202,7 +175,7 @@
 	dh_shlibdeps -a
 
 #   add the FASL version of this release to substvars
-	stage1/stage1 --core stage1/stage1.cor_ --load "debian/fasl-version.lisp"
+	stage1/bin/sbcl --load "debian/fasl-version.lisp"
 
 	dh_gencontrol -a
 	dh_md5sums -a
