=== debian/rules ===
--- 
+++ 
@@ -64,6 +64,7 @@
 	chmod 100 stage1
 	./clean.sh
 	./make.sh --prefix="/usr/" --xc-host="$(CURDIR)/stage1/bin/sbcl --no-sysinit --no-userinit --disable-debugger" $(FEATURES)
+	chmod 700 stage1
 
 	make -C doc/internals all html
