## sbcl 1.2.13

=== tools-for-build/Makefile ===
--- 
+++ 
@@ -20,3 +20,4 @@
 clean:
 	rm -f *.o grovel-headers determine-endianness where-is-mcontext \
                 modify-ldt-structure-name sigaction-sa-nodefer-works-test
+	rm -f *.exe
