=== debian/control ===
--- 
+++ 
@@ -2,7 +2,8 @@
 Section: lisp
 Priority: optional
 Homepage: http://www.sbcl.org
-Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Common Lisp Team <pkg-common-lisp-devel@lists.alioth.debian.org>
 Uploaders:
  Peter Van Eynde <pvaneynd@debian.org>,
  Christoph Egger <christoph@debian.org>
@@ -22,7 +23,8 @@
  cm-super-minimal,
  time,
  netbase
-Standards-Version: 3.9.2
+Build-Conflicts: locales-all
+Standards-Version: 3.9.6
 Vcs-Git: http://git.debian.org/git/pkg-common-lisp/sbcl.git
 Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/sbcl.git;a=summary
 
@@ -31,7 +33,7 @@
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Breaks: cl-clx-sbcl (<= 0.7.0-1),
  common-lisp-controller (<< 6.18),
- cl-asdf (<= 2:1.502)
+ cl-asdf (<< 2:3.1.5)
 Suggests: sbcl-doc,
  sbcl-source,
  slime
