## sbcl 1.2.14

=== debian/changelog ===
sbcl (2:1.2.14-1ubuntu1) wily; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: Do not leave stage1 unreadable, fixing an FTBFS on the
      Launchpad buildds with pkgstriptranslations.

 -- Logan Rosen <logan@ubuntu.com>  Sat, 01 Aug 2015 22:12:48 +0000

sbcl (2:1.2.14-1) unstable; urgency=medium

  * New upstream version
    changes in sbcl-1.2.14 relative to sbcl-1.2.13:
      * minor incompatible change: The name of a compiled anonymous lambda
        as returned by the third value of FUNCTION-LAMBDA-EXPRESSION can have
        a lambda-list-like list following the introductory LAMBDA that is not
        in general a syntactically valid lambda list. Specifically, it won't
        retain default values, supplied-p variables, or &KEY or &AUX bindings.
      * enhancement: DESTRUCTURING-BIND has been totally reimplemented from
        scratch to address a handful of performance and correctness issues.
        Some minor behavioral differences exist regarding order of evaluation
        of default forms for unsupplied &OPTIONAL and &KEY arguments
        when nested destructuring patterns are involved.
        (lp#707556, lp#707573, lp#707578, lp#708051)
      * enhancement: DEFCONSTANT and DEFSTRUCT respect package locks. (lp#1186238,
        lp#1036716)
      * enhancement: sb-unicode:normalize-string has a new optional argument,
        FILTER, a callback which controls which decomposed characters are
        collected. Useful for stripping away diacritics more efficiently.
      * bug fix: (TYPE-OF ARRAY) for a non-simple array is subject to change
        after a call of ADJUST-ARRAY. (lp#1333731)
      * bug fix: Dynamic-extent allocation with a loop between allocating a value
        and the start of its environment no longer discards the allocated data
        when the loop is taken. (lp#1472785)
      * bug fix: Variable-reference elimination no longer generates incorrect code
        under certain circumstances. (lp#1446891)
      * bug fix: variables with EQL types are no longer treated as constants by
        VOPs, which caused problems with closures being allocated for such
        variables, but they remained unused. (lp#1390149)
      * bug fix: Windows installer generates registry key name
        correctly. (lp#1476447)
  * Use caninical Vcs URLs

 -- Christoph Egger <christoph@debian.org>  Sat, 01 Aug 2015 16:04:48 +0200

sbcl (2:1.2.13-1ubuntu1) wily; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: Do not leave stage1 unreadable, fixing an FTBFS on the
      Launchpad buildds with pkgstriptranslations. 

 -- Logan Rosen <logan@ubuntu.com>  Tue, 30 Jun 2015 22:37:21 -0700

sbcl (2:1.2.13-1) unstable; urgency=medium

  * New upstream Version
    changes in sbcl-1.2.13 relative to sbcl-1.2.12:
     * incompatible change: on success, TRY-SEMAPHORE and WAIT-ON-SEMAPHORE
       return the new count
     * enhancement: WAIT-ON-SEMAPHORE accepts a decrement parameter
     * enhancement: JOIN-THREAD allows distinguishing timeout vs. abort in all
       situations
     * enhancement: On Windows DBG_PRINTEXCEPTION_C is handled and its message
       is printed. (lp#1437947)
     * bug-fix: TRUENAME works properly on broken symlinks presented as
       directories. (lp#1458164)
     * bug fix: Inlined DPB and DEPOSIT-FIELD don't interfere with left-to-right
       order of argument evaluation. (lp#1458190)
     * bug fix: (SETF (LDB (BYTE 1 2 JUNK) X) 0) is rightly rejected.
     * bug fix: DEFSETF lambda lists should not permit argument destructuring.
     * bug fix: calls to (SETF SLOT-VALUE) on a missing slot would in certain
       situations incorrectly return the result of a SLOT-MISSING method
       instead of always returning the new value. (lp#1460381)
     * bug fix: a DEFMACRO occurring not at toplevel and capturing parts of
       its lexical environment (thus being a closure) caused expressions
       involving the macro name to cause corruption in the pretty-printer
       due to faulty introspection of the lambda list of a closure.
     * bug fix: out of line MAP/MAP-INTO check that the results produced by the
       function are of the matching sequence type. (lp#1459581)
     * bug fix: pretty-printing of '(LET `((,X ,Y)) :B) is handled correctly.

  * Breaks "old" cl-asdf (Closes: #787909)
  * Build-Conflicts on locales-all (Closes: #786601)

 -- Christoph Egger <christoph@debian.org>  Mon, 29 Jun 2015 10:57:58 +0200

sbcl (2:1.2.12-1ubuntu1) wily; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - debian/rules: Do not leave stage1 unreadable, fixing an FTBFS on the
      Launchpad buildds with pkgstriptranslations.

 -- Logan Rosen <logan@ubuntu.com>  Sun, 21 Jun 2015 20:35:48 -0700

sbcl (2:1.2.12-1) unstable; urgency=medium

  * New upstream version
    changes in sbcl-1.2.12 relative to sbcl-1.2.11:
      * minor incompatible change: the SB-C::*POLICY* variable is no longer
        a list. Code which manipulated it as such (including but not limited
        to non-bundled releases of ASDF) will need to be revised.
      * enhancement: The input stream for COMPILE-FILE implements
        STREAM-LINE-COLUMN.
      * enhancement: EVAL errors that occur by way of LOAD report the starting
        line and column number of the erring toplevel form. (lp#565247)
      * optimization: better MAP and MAP-INTO on known vector result types.
      * bug fix: Read/modify/write macros accessing a place which is a
        composition of CAR+CDR operations, such as (SHIFTF (CADR X) (ELT V 0)),
        do not access subforms more than once. (lp#1450968)
      * bug fix: short form of DEFSETF no longer allows trailing junk.
      * bug fix: DEFINE-MODIFY-MACRO respects the provisions of CLHS 5.1.3
        regarding argument evaluation order. (lp#1452539)
      * bug fix: POP works as specified in CLHS if the setter for its

