=== debian/control ===
--- 
+++ 
@@ -25,8 +25,8 @@
  netbase
 Build-Conflicts: locales-all
 Standards-Version: 3.9.6
-Vcs-Git: http://git.debian.org/git/pkg-common-lisp/sbcl.git
-Vcs-Browser: http://git.debian.org/?p=pkg-common-lisp/sbcl.git;a=summary
+Vcs-Git: http://anonscm.debian.org/git/pkg-common-lisp/sbcl.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-common-lisp/sbcl.git;a=summary
 
 Package: sbcl
 Architecture: i386 amd64 kfreebsd-amd64 kfreebsd-i386 powerpc armhf armel
